Name:           libev
Version:        3.43
Release:        1%{?dist}
Summary:        A full-featured and high-performance event loop

Group:          System Environment/Libraries
License:        Other
URL:            http://software.schmorp.de/pkg/libev.html
Source0:        http://dist.schmorp.de/libev/%{name}-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

#BuildRequires:  
#Requires:       

%description
A full-featured and high-performance (see benchmark) event loop that is
loosely modelled after libevent, but without its limitations and bugs. It is
used, among others, in the GNU Virtual Private Ethernet and rxvt-unicode
packages, and in the Deliantra MORPG Server and Client.

Features include child/pid watchers, periodic timers based on wallclock
(absolute) time (in addition to timers using relative timeouts), as well as
epoll/kqueue/event ports/inotify (for file watchers) support, fast timer
management, time jump detection and correction, and ease-of-use.

It can be used as a libevent replacement using its emulation API or directly
embedded into your programs without the need for complex configuration
support. A full-featured and well-documented perl interface is also available.

%package        devel
Summary:        Development files for %{name}
Group:          Development/Libraries
Requires:       %{name} = %{version}-%{release}

%description    devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.


%prep
%setup -q


%build
%configure --disable-static
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT -name '*.la' -exec rm -f {} ';'


%clean
rm -rf $RPM_BUILD_ROOT


%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig


%files
%defattr(-,root,root,-)
%doc Changes LICENSE README
%{_libdir}/*.so.*

%files devel
%defattr(-,root,root,-)
%doc Changes LICENSE README
%{_includedir}/*
%{_libdir}/*.so
%{_datadir}/man/man3/ev*


%changelog
* Sat Sep 20 2008 bbbush <bbbush.yuan@gmail.com> - 3.43-1
- initial import
